Name:     nonstd-value-ptr-lite-devel
%global altname value-ptr-lite
Version:  0.2.1
Release:  1%{?dist}
Summary:  A C++ smart-pointer with value semantics for C++98 and later
License:  Boost
URL:      https://github.com/martinmoene/%{altname}
Source0:  https://github.com/martinmoene/%{altname}/archive/refs/tags/v%{version}.tar.gz#/%{altname}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: cmake
BuildRequires: gcc-c++

%description
value-ptr lite is a single-file header-only library to bring value semantics to
heap resources. In certain situations, such as with the pimpl idiom in the
example above, a pointer must be used while value semantics would be prefered.
This is where value_ptr comes into play. A value_ptr is similar to a
std::optional in many respects and one could say a value_ptr is more value than
pointer.

%prep
%autosetup -n %{altname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
install -d %{buildroot}/%{_datadir}
mv -f %{buildroot}/%{_libdir}/cmake %{buildroot}/%{_datadir}/

%check
%ctest

%files
%doc README.md
%license LICENSE.txt
%{_includedir}/nonstd/*.hpp
%{_datadir}/cmake/*/*.cmake

%changelog
* Fri Jul 15 2022 Jean Pierre Cimalando <jp-dev@gmx.com> - 0.2.1-1
- Initial version of the package
